SoundEventDataWrapper = SoundEventDataWrapper or blt_class(CellDataBaseWrapper)
SoundEventDataWrapper.SOUNDS = "Lua/Scripts/Sounds/"

function SoundEventDataWrapper:print_events()
	local string_builder = StringBuilder:new()
	string_builder:AppendLine("SD = SD or {}")
	string_builder:AppendLine("SD.EVENTS = {}")
	for i, block in pairs(self._wrapper.Blocks)  do
		string_builder:AppendLine("SD.EVENTS." ..tostring(block.name:upper()).. " = " .. tostring(block.persistentID))
	end	
	FileUtils:WriteAllText(SoundEventDataWrapper.SOUNDS.."EVENTS.lua", string_builder:Results())
end