SwitchContainerDataWrapper = SwitchContainerDataWrapper or blt_class(CellDataBaseWrapper)
SwitchContainerDataWrapper.SOUNDS = "Lua/Scripts/Sounds/"

function SwitchContainerDataWrapper:print_switches()
	local string_builder = StringBuilder:new()
	string_builder:AppendLine("SD = SD or {}")
	string_builder:AppendLine("SD.SWITCHES = {}")
	for i, block in pairs(self._wrapper.Blocks)  do
		string_builder:AppendLine("SD.SWITCHES."..block.name:upper().." = {}")
		string_builder:AppendLine("SD.SWITCHES."..block.name:upper()..".GROUP = "..block.persistentID)
		string_builder:AppendLine("SD.SWITCHES."..block.name:upper()..".SWITCH = {}")		
		for switchID, switchData in pairs(block.switches) do
			string_builder:AppendLine("SD.SWITCHES."..block.name:upper()..".SWITCH."..tostring(switchData.switchName:upper()) .. " = " .. tostring(switchID))
		end
	end	
	FileUtils:WriteAllText(SwitchContainerDataWrapper.SOUNDS.."SWITCHES.lua", string_builder:Results())
end