PlayerDialogDataBlock = PlayerDialogDataBlock or blt_class(CellDataBlockBase)

PlayerDialogDataBlock:copy_fields(CellDataBlockBase)
PlayerDialogDataBlock:register_field("random_delay", "object", false)
PlayerDialogDataBlock:register_field("probabilityToTrigger", "number", false)
PlayerDialogDataBlock:register_field("priority", "number", false)
PlayerDialogDataBlock:register_field("cooldown", "number", false)
PlayerDialogDataBlock:register_field("list", "array", false)

function PlayerDialogDataBlock:load_additional(data)		
	self:apply_class_to_array("list", "StoryData")
	self:apply_class("random_delay", "RandomDelay")	
end

function PlayerDialogDataBlock:init()
	PlayerDialogDataBlock.super.init(self)
	self.list = {}
	self.random_delay = RandomDelay:new()
	self.random_delay.x = 0
	self.random_delay.y = 0
end
