SwitchContainerDataBlock = SwitchContainerDataBlock or blt_class(CellDataBlockBase)
SwitchContainerDataBlock:copy_fields(CellDataBlockBase)
SwitchContainerDataBlock:register_field("switches", "array","SwitchData")

function SwitchContainerDataBlock:init()
	self.switches = {
		SwitchData:new()
	}
end


function SwitchContainerDataBlock:get_switch_name_by_switchID(switchID)
	for i,v  in pairs(self.switches) do
		if i == switchID then
			return v.switchName
		end
	end
	return "UNKNOWN"
end


function SwitchContainerDataBlock:get_switchID_by_switchName(switchName)
	for i,v  in pairs(self.switches) do
		if v.switchName == switchName then
			return i
		end
	end
	return -1
end