DramaStateFilterBase = DramaStateFilterBase or blt_class()

function DramaStateFilterBase:go_to_sneaking()
	return managers.groupai:state():whisper_mode()
end

function DramaStateFilterBase:go_to_encounter()
	return managers.cell_drama:any_enemies_alarmed()
end

function DramaStateFilterBase:go_to_assault()	 
	return not self:go_to_sneaking() and managers.groupai:state():get_assault_mode()
end

function DramaStateFilterBase:go_to_alert()
	if managers.cell_drama:current_tension() < 50 then
		return false
	end		
	return self:go_to_sneaking() or self:go_to_control()
end

function DramaStateFilterBase:go_to_fake_assault()
	return managers.groupai:state()._fake_assault_mode
end

function DramaStateFilterBase:go_to_control()
	return not self:go_to_sneaking() and not self:go_to_assault()
end

function DramaStateFilterBase:go_to_anticipation()
	return false
end