CellNarratorManager = CellNarratorManager or blt_class()

function CellNarratorManager:init()
	self._cell_player = CellSoundPlayer:new()
end

function CellNarratorManager:on_dialog_ended()
	managers.subtitle:set_visible(false)
	managers.subtitle:set_enabled(false)
	managers.dialog:finished()
end


function CellNarratorManager:set_switch(switchGroup, switchName)
	self._cell_player:SetSwitch(switchGroup, switchName)
end

function CellNarratorManager:stop()
	self._cell_player:Stop()
end

function CellNarratorManager:post_event(sound)
	return self._cell_player:Post(sound, callback(self,self,"on_dialog_ended"))
end