function HUDManager:setup_anticipation(total_t)

	local exists = self._anticipation_dialogs and true or false
	self._anticipation_dialogs = {}

	if exists then
		if total_t == 45 or total_t == 30 then
			table.insert(self._anticipation_dialogs, {
				time = 30,
				dialog = 6
			})
		end
	elseif total_t == 45 then
		table.insert(self._anticipation_dialogs, {
			time = 45,
			dialog = 1
		})
		table.insert(self._anticipation_dialogs, {
			time = 30,
			dialog = 2
		})
	elseif total_t == 30 then
		table.insert(self._anticipation_dialogs, {
			time = 30,
			dialog = 2
		})
	end
	
	
	
			

	if total_t == 45 or total_t == 30 then
		table.insert(self._anticipation_dialogs, {
			time = 20,
			dialog = 3
		})
		table.insert(self._anticipation_dialogs, {
			time = 10,
			dialog = 4
		})
	end

	if total_t == 35 then
		table.insert(self._anticipation_dialogs, {
			time = 20,
			dialog = 7
		})
		table.insert(self._anticipation_dialogs, {
			time = 10,
			dialog = 4
		})
	end

	if total_t == 25 then
		table.insert(self._anticipation_dialogs, {
			time = 10,
			dialog = 8
		})
	end
end


local _HUDManager_sync_start_anticipation_music = HUDManager.sync_start_anticipation_music
function HUDManager:sync_start_anticipation_music()
	_HUDManager_sync_start_anticipation_music(self)	
	
	if managers.cell_drama:local_machine() and managers.cell_drama:current_local_state_name() ~= DramaMachine.STATES.Empty then
		managers.cell_drama:change_local_state(DramaMachine.STATES.Anticipation, true)	
	end
	
end

function HUDManager:check_anticipation_voice(t)
	if not self._anticipation_dialogs or not self._anticipation_dialogs[1] then
		return
	end
	
	local toggle = true
	local sync = true
	
	if t < self._anticipation_dialogs[1].time then
		local data = table.remove(self._anticipation_dialogs, 1)
		if toggle and not self._hud.in_assault then
			self:sync_assault_dialog(data.dialog)
			if sync then
				managers.network:session():send_to_peers_synched("sync_assault_dialog", data.dialog)
			end
		end
	end
end
