TextDataWrapper = TextDataWrapper or blt_class(CellDataBaseWrapper)
TextDataWrapper.Language = {}
TextDataWrapper.Language.English = Idstring("english")
TextDataWrapper.Language.French = Idstring("french")
TextDataWrapper.Language.Italian = Idstring("italian")
TextDataWrapper.Language.German = Idstring("german")
TextDataWrapper.Language.Spanish = Idstring("spanish")
TextDataWrapper.Language.Russian = Idstring("russian")
TextDataWrapper.Language.Portuguese_Brazil = Idstring("portuguese")
TextDataWrapper.Language.Polish = Idstring("polish")
TextDataWrapper.Language.Japanese = Idstring("japanese")
TextDataWrapper.Language.Korean = Idstring("korean")
TextDataWrapper.Language.Chinese_Traditional = Idstring("chinese")
TextDataWrapper.Language.Chinese_Simplified = Idstring("chinese")

function TextDataWrapper:GetText(block)
	if block.SkipLocalization then
		return block.English
	end	
	
	for language, key in pairs(TextDataWrapper.Language) do
		if key == SystemInfo:language():key() then
			if language == "English" then
				return block.English
			elseif language == "French" then
				return block.French.Translation
			elseif language == "Italian" then
				return block.Italian.Translation
			elseif language == "German" then
				return block.German.Translation
			elseif language == "Spanish" then
				return block.Spanish.Translation
			elseif language == "Russian" then
				return block.Russian.Translation
			elseif language == "Portuguese_Brazil" then
				return block.Portuguese_Brazil.Translation
			elseif language == "Polish" then
				return block.Polish.Translation
			elseif language == "Japanese" then
				return block.Japanese.Translation
			elseif language == "Korean" then
				return block.Korean.Translation
			elseif language == "Chinese_Traditional" then
				return block.Chinese_Traditional.Translation
			elseif language == "Chinese_Simplified" then
				return block.Chinese_Simplified.Translation
			end
		end
	end
end