DramaStateEmpty = DramaStateEmpty or blt_class(DramaStateBase)

function DramaStateEmpty:get_additional_tension(max_tension)	
	return 0
end

function DramaStateEmpty:common_update(t,dt)
	if self:is_owner_alive() then
	
		if self._drama_manager:go_to_assault() then
			self._machine:change_drama_state(DramaMachine.STATES.Assault, true)
			return
		end		
		
		if self._drama_manager:go_to_control() then
			self._machine:change_drama_state(DramaMachine.STATES.Control, true)
			return
		end
		
		if self._drama_manager:go_to_sneaking() then
			self._machine:change_drama_state(DramaMachine.STATES.Sneaking, true)
		end	
			
	end
end

function DramaStateEmpty:update(t,dt)
	self:common_update(t,dt)
end

function DramaStateEmpty:sync_update(t,dt)
	self:common_update(t,dt)
end

function DramaStateEmpty:revive_lines_allowed()
	return false
end

function DramaStateEmpty:ignore_tension()
	return true
end

function DramaStateEmpty:debug_prefix()
	return "DramaStateEmpty"
end