CellConvertHostageInteraction = CellConvertHostageInteraction or blt_class(CellBaseInteraction)

function CellConvertHostageInteraction:interaction_complete(interactor, object, t)

	local weightHandler = WeightHandler:new()
	weightHandler:add_value("f41_any", 3)
	weightHandler:add_value("f40_any", 2)
	
	if managers.cell_options:has_toggled("cell_hostage_convert_tog") then
		self:say_line(interactor, weightHandler:get_best_value().value)
	end	
end


