dofile(ModPath .. "Lua/Scripts/Machines/MusicMachine.lua")

CellMusicManager = CellMusicManager or blt_class()

function CellMusicManager:init()
	self._machine = MusicMachine:new(self)
end

function CellMusicManager:machine()
	return self._machine
end

function CellMusicManager:change_state(name)
	if self._machine:current_state_name() == name then
		return
	end
	
	
	self._machine:change_state(name)
end

function CellMusicManager:change_state_by_ID(ID)	
	if self._machine:current_stateID() == ID then
		return
	end
	
	self._machine:change_state_by_ID(ID)
end

function CellMusicManager:post_event(event)	
	managers.music:post_event(event)
end


function CellMusicManager:set_switch(switchGroup, switchName)	
	Global.music_manager.source:set_switch(switchGroup, switchName)
end