MUS_Escape = MUS_Escape or blt_class(MUS_Base)
function MUS_Escape:setup()
	MUS_Escape.super.setup(self)
	self._datablock = self._wrapper:get_block_by_id(12)
	
end

function MUS_Base:setup_escape()
	if Global.music_manager.current_track == "track_15" then
		self._escape_block = self._wrapper:get_block_by_id(13)	
		self._1min_mark = false
	end	
end

function MUS_Escape:escape_timer_left()
	return managers.groupai:state()._point_of_no_return_timer
end

function MUS_Escape:update(t,dt)
	if self._escape_block == nil then
		return
	end
	
	if not self._1min_mark and self:escape_timer_left() < 60 then
		self._1min_mark = true
		self:post_events(self._escape_block.m_EventsOn1MinEscape)
	end
end

function MUS_Escape:debug_prefix()
	return "MUS_Escape"
end
