dofile(DeadLocke._path.."Lua/Setups/DEADLOCKE_long_distance_standard.lua")
dofile(DeadLocke._path.."Lua/Setups/DEADLOCKE_long_distance_marking.lua")
dofile(DeadLocke._path.."Lua/Setups/DEADLOCKE_long_distance_weight.lua")
DeadLockeInteractionManager = DeadLockeInteractionManager or class()
function DeadLockeInteractionManager:init()
	self.TYPES = {
		DeadLockeInteractionStandard:new(),
		DeadLockeInteractionMarking:new(),
		DeadLockeInteractionWeight:new()
	}
end

function DeadLockeInteractionManager:modify_value(id, value, ...)
	for i, interact in pairs(self.TYPES) do
		if interact and interact.modify_value then
			local new_value = interact:modify_value(id, value, ...)
			if new_value then
				value = new_value
			end
		end
	end
	return value
end
