GroupAIStateBase.BAN_DIALOG = {
	"pager_a",
	"pager_b",
	"pager_d",
	"pager_e",
	"pager_f",
	"pager_g",
	"pager_h",
	"pat_05",
	"radio_missed",
	"radio_break",
	"radio_failed",
	"p01",
	"drl_alm_snd"
}

GroupAIStateBase._called_reasons = {
	alarm_pager_not_answered = 12,
	alarm_pager_hang_up = 11,
	alarm_pager_bluff_failed = 10,
	cam_drill = 9,
	civ_drill = 9,
	cop_drill = 9
}



function GroupAIStateBase:get_ban_dialog_by_name(event_name)
	for index, dialog in pairs(GroupAIStateBase.BAN_DIALOG) do
		if dialog == event_name then
			return index
		end
	end
	return nil
end

function GroupAIStateBase:get_ban_dialog_by_index(i)
	for index, dialog in pairs(GroupAIStateBase.BAN_DIALOG) do
		if i == index then
			return dialog
		end
	end
	return nil
end


function GroupAIStateBase:get_bain_inform_by_reason(reason)
	for blame, id in pairs(GroupAIStateBase._called_reasons) do
		if blame == reason then
			return id
		end
	end
	return nil
end

local _GroupAIStateBase_teammate_comment = GroupAIStateBase.teammate_comment
function GroupAIStateBase:teammate_comment(trigger_unit, message, pos, pos_based, radius, sync)
	if radius and radius <= 0 then
		radius = nil
	end
	if pos and pos == Vector3(0,0,0) then
		pos_based = nil
	end
	_GroupAIStateBase_teammate_comment(self, trigger_unit, message, pos, pos_based, radius, sync)
end





