if not SoundDevice then
	return
end

local CellSoundDevice
if SoundDevice and type(SoundDevice) == "userdata" then
	CellSoundDevice = getmetatable(SoundDevice)
end

if CellSoundDevice then
	local _CellSoundDevice_set_state = CellSoundDevice.set_state
	function CellSoundDevice:set_state(type, state)
		if managers.cell_data then
			local wrapper = managers.cell_data:wrapper("StateDataBlock")		
			if wrapper and next(wrapper) then
				for index, block in pairs(wrapper:get_all_blocks()) do
					if block.StateGroup == type and block.StateName == state then
						block:set_switches()
					end
				end		
			end	
		end			
		return _CellSoundDevice_set_state(self, type, state)
	end
end